We recommend switching to the latest versions of Edge, Firefox, Chrome or Safari. Using Internet Explorer will result in a loss of website functionality.

FireFox Support?

Comments

1 comment

  • Avatar
    Jeffery Brown

    Hi Rob,  the current supported browsers for DQ+ are Google Chrome, Internet Explorer 11, and Edge.  Firefox is not officially certified, but the tool will work in the browser. 

    Jeff

    0
    Comment actions Permalink

Please sign in to leave a comment.